#!/bin/sh
#------------------------------------------------------------------------------
# /var/install/dialog.d/PG16_SSL_CERTS_CUI.sh - script dialog for ece
#
# Creation:     2015-03-09 hbfl
# Last update:  2024-03-03 23:55:18
#
# Copyright (c) 2015-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

. /var/install/include/cuilib
. /var/install/include/ecelib

#----------------------------------------------------------------------------
# exec_dailog
# ece --> request to create and execute dialog
#         $p2 --> main window handle
#         $p3 --> name of config variable
#----------------------------------------------------------------------------
exec_dialog()
{
    win="$p2"

    certificate=$(find /etc/ssl/certs -maxdepth 1 -type f -name '*.pem' -printf '%f,\n' | sort)


    sellist="${certificate}"

    ece_select_list_dlg "$win" "Select the SSL server certificat" "$sellist"
}

#----------------------------------------------------------------------------
# main routine
#----------------------------------------------------------------------------

cui_init
cui_run

#----------------------------------------------------------------------------
# end
#----------------------------------------------------------------------------

exit 0
